Finalize the MFA. For internal use

Prev Next
Post
/authentication/otp

This API starts the Multi-Factor Authentication process. It requires the partial AuthToken from Authentication call. The fields required depends on the initialization.

Security
HTTP
Type bearer
Body parameters

MFA credentials.

object
otp
string Required

Depending on the type of the MFA flow, this could be an OTP generated from a device, user password or some dummy value.

Example521856
state
string (byte)

The state value if it was received during initialization.

Responses
200

MFA was successful. The AuthToken now has the MFA flag and ready for Authorization step.

Expand All
object
user
object

Information about logged in user, such as username and email address, if exists.

name
string

Username.

Exampleadmin
needTwoFactorAuth
boolean

If true, it is not possible to complete login process without providing MFA.

Examplefalse
canAccessAuditLogs
boolean

Whether there is a LogServer deployed and the user has privileges to access to it.

token
string

The AuthToken required for subsequent API calls.

expires
string (date-time)

Token expiration time.

rotatedReplicationAccessToken
string

Rotated replication access token. For internal use.

nextReplicationAccessToken
string

Next replication access token. For internal use.

400

JSON error. Check the JSON format.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

401

Login Failed.

object
id
string

Machine readable error code.

message
string

Human readable error details.

reason
string

The authentication failure reason.

ExampleInvalid username or password.
406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

422

Request validation error. Check "errors" array for details.

Expand All
object

Http 422 error for object validation.

id
string

Machine readable error code.

message
string

Human readable error details.

errors
Array of object

List of fields with validation errors.

object
field
string

Name of the field that failed validation.

Examplename
message
string

Failure reason.

Examplemay not be null
displayField
string

Name of the field that should be displayed in the UI. It's an internal field to be used by the local replication service.

ExampleName
replicationMessage
string

Message to be displayed in the replication UI. It's an internal field to be used by the local replication service.

ExampleName is required.
500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.